#version 330 core

layout(location = 0) in vec4 positions;
//layout(location = 1) in vec2 uvs;

out vec2 uv; 

uniform mat4 projection;

void main()
{
	//vec2 positions_homo = (positions - vec2(400, 300))/vec2(400,300);
	gl_Position = projection * vec4(positions.xy, 0, 1);
	uv = positions.zw;
}